Skip to content

Update Landing Page Content Section

POST /rest/asset/v1/landingPage/{id}/content/{contentId}.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/landingPage/{id}/content/{contentId}.json
Tag: Landing Page Content
Operation ID: updateLandingPageContentUsingPOST

Updates a content section the landing page. Parameters must be sent as application/x-www-form-urlencoded (not JSON). Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of landing page
contentId string Yes Id of landing page content section

Request body

Name: request
Required: Yes
Schema: model: UpdateLandingPageContentRequest

Content properties

Generated example

{
  "backgroundColor": "string",
  "borderColor": "string",
  "borderStyle": "string",
  "borderWidth": "string",
  "height": "string",
  "hideDesktop": true,
  "hideMobile": true,
  "imageOpenNewWindow": "string",
  "index": 123,
  "left": "string",
  "linkUrl": "https://example.com",
  "opacity": "string",
  "top": "string",
  "type": "Image",
  "value": "string",
  "width": "string",
  "zIndex": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/asset/v1/landingPage/{{id}}/content/{{contentId}}.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

{
  "backgroundColor": "string",
  "borderColor": "string",
  "borderStyle": "string",
  "borderWidth": "string",
  "height": "string",
  "hideDesktop": true,
  "hideMobile": true,
  "imageOpenNewWindow": "string",
  "index": 123,
  "left": "string",
  "linkUrl": "https://example.com",
  "opacity": "string",
  "top": "string",
  "type": "Image",
  "value": "string",
  "width": "string",
  "zIndex": "string"
}

Responses

200 — OK

Schema: model: ResponseOfIdResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.